@import url("https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,500;0,600;1,600&display=swap");

* {
  box-sizing: border-box;
  scrollbar-width: none;  /* Firefox */
  -ms-overflow-style: none;  /* IE and Edge */
}

*::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Opera */
}

:root {
  --header-height: 70px;
  --color-primary: #fff;
  --color-primary--shadow: #f2f2f2;
  --color-secondary: #000;
  --color-secondary--shadow: #555;
  --color-secondary--ghost: #999;
  --color-decorative: #f4f1ee;
  --color-decorative-2: #af9c78;
  --color-logo: var(--color-primary);
  --font-secondary: "Playfair Display", serif;
}

:fullscreen {
  padding: 0 2rem 2rem;
}

html {
  height: 100%;
  font-size: 10px;
  overflow: hidden;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif !important;
}

body {
  margin: 0;
  height: 100%;
  overflow: auto;
  position: relative;
  scroll-behavior: smooth;
  /*scroll-snap-type: y proximity;*/
}
@media screen and (min-width: 768px) {
  body {
    /*scroll-snap-type: y mandatory;*/
  }
}

button {
  border: none;
  outline: none;
  cursor: pointer;
  font-weight: 600;
  color: var(--color-primary);
  background-color: transparent;
}

pc-icon {
  cursor: pointer;
  align-items: center;
  display: inline-flex;
  justify-content: center;
}

pc-icon svg {
  width: 100%;
  height: 100%;
}

.generic {
  display: flex;
  align-items: center;
  padding: 8rem 0 2rem;
  justify-content: center;
}
@media screen and (min-width: 768px) {
  .generic {
    position: fixed;
  }
}
.generic__box {
  display: flex;
  position: relative;
}
.generic__square {
  left: 0;
  top: 50%;
  z-index: 2;
  width: 85px;
  height: 85px;
  position: absolute;
  transform: translate(-50%, -50%);
  background-color: var(--color-decorative-2);
}
.generic__image {
  width: 250px;
  height: 250px;
}
.generic__image__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.generic__dots {
  top: 0;
  right: 0;
  z-index: 2;
  width: 100px;
  height: 100px;
  position: absolute;
  color: var(--color-secondary);
  transform: translate(50%, -50%);
}
.generic--2 {
  padding: 8rem 0;
}
.generic--2 .generic__dots {
  left: 0;
  bottom: 0;
  top: unset;
  width: 85px;
  right: unset;
  height: 85px;
  transform: translate(-50%, 50%);
}
.generic--2 .generic__square {
  top: 0;
  right: 0;
  left: unset;
  width: 100px;
  height: 100px;
  transform: translate(50%, -50%);
}

.overlay {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1001;
  display: none;
  position: fixed;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
  background-color: rgba(0, 0, 0, 0.85);
}
.overlay__close {
  top: 10px;
  right: 10px;
  width: 50px;
  height: 50px;
  z-index: 1002;
  padding: 10px;
  position: absolute;
  color: var(--color-primary);
  filter: drop-shadow(0 0 3px rgb(0 0 0 / 25%));
}
.overlay__prev {
  top: 50%;
  left: 20px;
  width: 50px;
  height: 50px;
  z-index: 1002;
  padding: 1.2rem;
  position: absolute;
  border-radius: 50%;
  color: rgba(0,0,0, 0.7);
  transform: translateY(-50%);
  border: rgba(0,0,0, 0.3) 1px solid;
  box-shadow: 0 0 3px 0 rgb(0 0 0 / 25%);
  background-color: rgba(255, 255, 255, 0.5);
}
.overlay__next {
  top: 50%;
  right: 20px;
  width: 50px;
  height: 50px;
  z-index: 1002;
  padding: 1.2rem;
  position: absolute;
  border-radius: 50%;
  color: rgba(0,0,0, 0.7);
  border: rgba(0,0,0, 0.3) 1px solid;
  box-shadow: 0 0 3px 0 rgb(0 0 0 / 25%);
  background-color: rgba(255, 255, 255, 0.5);
  transform: translateY(-50%) rotate(180deg);
}

#snowfall-element {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  z-index: 999;
  pointer-events: none;
  background-color: transparent;
}
